import 'package:flutter/material.dart';

class JumpingDot extends AnimatedWidget {
  final Color dotColor;
  final double dotSize;

  const JumpingDot({
    Key? key,
    required Animation<double> animation,
    required this.dotColor,
    required this.dotSize,
  }) : super(key: key, listenable: animation);

  @override
  Widget build(BuildContext context) {
    final Animation<double> animation = listenable as Animation<double>;
    // final double _height = 60;
    // print(animation.value);
    return Container(
      decoration: BoxDecoration(color: dotColor, shape: BoxShape.circle),
      margin: EdgeInsets.only(bottom: animation.value, left: 5, right: 5),
      height: dotSize,
      width: dotSize,
    );
  }
}
